Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 977660 - Column sorting does not work as expected.
Summary: Column sorting does not work as expected.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: TurboGears
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-25 06:13 UTC by Raymond Mancy
Modified: 2018-11-30 22:30 UTC (History)
4 users (show)

Fixed In Version: TurboGears-1.1.3-8.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:30:35 UTC
Type: Bug


Attachments (Terms of Use)
Do joins better. (1.88 KB, patch)
2013-06-25 06:13 UTC, Raymond Mancy
no flags Details | Diff

Description Raymond Mancy 2013-06-25 06:13:53 UTC
Created attachment 764927 [details]
Do joins better.

Description of problem:

Sorting on columns can have unexpected outcomes.

Version-Release number of selected component (if applicable):

TurboGears-1.1.3-2

How reproducible:

Sometimes

Steps to Reproduce:
1. Do a multi column sort 
2. 
3.

Actual results:

500

Expected results:

Should sort correctly.

Additional info:

See https://bugzilla.redhat.com/show_bug.cgi?id=972397

Comment 1 Toshio Ernie Kuratomi 2013-06-26 05:07:20 UTC
lmacken,  could you take a look at this patch?  I'm not so familiar with the paginate code.  I'll take a look at the patch in the Identity code: bz# 977690 and maybe we can put out an update with both of these fixes applied this week.

Comment 2 Luke Macken 2013-06-26 18:02:19 UTC
(In reply to Toshio Ernie Kuratomi from comment #1)
> lmacken,  could you take a look at this patch?  I'm not so familiar with the
> paginate code.  I'll take a look at the patch in the Identity code: bz#
> 977690 and maybe we can put out an update with both of these fixes applied
> this week.

I don't have a TG1 + SQLAlchemy app to test it with, but it looks sane and doesn't break my TG1 SQLObject app.

Comment 3 Raymond Mancy 2013-06-27 00:48:05 UTC
FWIW It hasn't broken anything in our test suite with sqlalchemy > 0.6

Comment 4 Fedora Update System 2013-06-28 16:00:01 UTC
TurboGears-1.1.3-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/TurboGears-1.1.3-8.fc18

Comment 5 Fedora Update System 2013-06-28 16:00:19 UTC
TurboGears-1.1.3-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/TurboGears-1.1.3-8.fc19

Comment 6 Fedora Update System 2013-06-29 18:30:12 UTC
Package TurboGears-1.1.3-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing TurboGears-1.1.3-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11941/TurboGears-1.1.3-8.fc19
then log in and leave karma (feedback).

Comment 7 Fedora End Of Life 2013-07-04 07:44:19 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora Update System 2013-07-18 04:00:18 UTC
TurboGears-1.1.3-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-07-18 05:43:53 UTC
TurboGears-1.1.3-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-07-18 05:55:47 UTC
TurboGears-1.1.3-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-09-01 06:47:52 UTC
TurboGears-1.1.3-8.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-eade3eb10a

Comment 12 Fedora Update System 2016-09-01 23:47:30 UTC
TurboGears-1.1.3-8.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-eade3eb10a

Comment 14 Fedora Update System 2016-09-23 19:19:40 UTC
TurboGears-1.1.3-8.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Jan Kurik 2018-05-31 09:05:42 UTC
This bug is currently reported against a Fedora version which is already unsuported.
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

Comment 16 Ben Cotton 2018-11-27 14:41:01 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2018-11-30 22:30:35 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.